## org.apache.batik.svggen.font.table
Class CmapFormat

    java.lang.Object
      org.apache.batik.svggen.font.table.CmapFormat

Direct Known Subclasses:
  CmapFormat0, CmapFormat2, CmapFormat4, CmapFormat6

public abstract class CmapFormat
extends java.lang.Object

Field Summary
`protected int` `format`
`protected int` `length`
`protected int` `version`

Constructor Summary
`protected` `CmapFormat(java.io.RandomAccessFile raf)`

Method Summary
`protected static CmapFormat` `create(int format, java.io.RandomAccessFile raf)`
`int` `getFormat()`
`int` `getLength()`
`int` `getVersion()`
`abstract int` `mapCharCode(int charCode)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### format

    protected int format

### length

    protected int length

### version

    protected int version

Constructor Detail

### CmapFormat

    protected CmapFormat(java.io.RandomAccessFile raf)
                  throws java.io.IOException

Method Detail

### create

    protected static CmapFormat create(int format,
                                       java.io.RandomAccessFile raf)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFormat

    public int getFormat()

### getLength

    public int getLength()

### getVersion

    public int getVersion()

### mapCharCode

    public abstract int mapCharCode(int charCode)

### toString

    public java.lang.String toString()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.